The BreadcrumbComponent provides a PrimeNG Component for providing navigation with dotCMS Components It can respond to the Site or Folder being changed. In addition the navigation it provides can be clicked on There is no connection to the other components directly. The interaction is all managed by the SiteBrowserState

### Hierarchy

- BreadcrumbComponent

## Index

### Constructors

- constructor

### Properties

- pathItems
- subscription
- updateService

### Methods

- addFolderItem
- addSiteItem
- buildMenuItemsFromURI
- getCurrentURI
- onFolderClick
- onSiteChange

## Constructors

### constructor

- new BreadcrumbComponent(updateService: SiteBrowserState): BreadcrumbComponent

- - Defined in components/breadcrumb/breadcrumb.component.ts:23

  #### Parameters

  - ##### updateService: SiteBrowserState

  #### Returns BreadcrumbComponent

## Properties

### Private pathItems

pathItems: MenuItem[]

- Defined in components/breadcrumb/breadcrumb.component.ts:22

### subscription

subscription: Subscription

- Defined in components/breadcrumb/breadcrumb.component.ts:23

### Private updateService

updateService: SiteBrowserState

- Defined in components/breadcrumb/breadcrumb.component.ts:25

## Methods

### Private addFolderItem

- addFolderItem(folderName: string): void

- - Defined in components/breadcrumb/breadcrumb.component.ts:83

  #### Parameters

  - ##### folderName: string

  #### Returns void

### Private addSiteItem

- addSiteItem(siteName: string): void

- - Defined in components/breadcrumb/breadcrumb.component.ts:71

  #### Parameters

  - ##### siteName: string

  #### Returns void

### Private buildMenuItemsFromURI

- buildMenuItemsFromURI(uri: string): void

- - Defined in components/breadcrumb/breadcrumb.component.ts:94

  #### Parameters

  - ##### uri: string

  #### Returns void

### Private getCurrentURI

- getCurrentURI(): string

- - Defined in components/breadcrumb/breadcrumb.component.ts:62

  #### Returns string

### onFolderClick

- onFolderClick(folderName: string): void

- - Defined in components/breadcrumb/breadcrumb.component.ts:54

  Called when the SiteBrowserState Folder is changed. This is managed via a Subscription

  #### Parameters

  - ##### folderName: string

  #### Returns void

### onSiteChange

- onSiteChange(siteName: string): void

- - Defined in components/breadcrumb/breadcrumb.component.ts:45

  Called when the SiteBrowserState Site is changed. This is managed via a Subscription

  #### Parameters

  - ##### siteName: string

  #### Returns void

Generated using TypeDoc